Event Class Reference

## Public Types

enum | { EVENT_OK = 1, EVENT_TIMEOUT = 2, EVENT_FAILED = 0 }

## Public Member Functions

| Event (bool isAutoReset=true, bool isSignal=false)
void | set (bool isSignal=true)
unsigned long | wait (unsigned long timeout=0xFFFFFFFF)

## Protected Member Functions

void | release ()

## Protected Attributes

pthread_cond_t | _cond_var
pthread_mutex_t | _cond_locker
bool | _is_signalled
bool | _isAutoReset

The documentation for this class was generated from the following file:

- /home/yang/gitlab/sdk/include/locker.h